View Issue Details

IDProjectCategoryView StatusLast Update
0000882Main CAcert Websiteaccount administrationpublic2013-01-15 15:03
ReporterUli60 Assigned ToUli60  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Fixed in Version2011 Q4 
Summary0000882: display Assurance when field in list of assurances received, assurances given by a user in admin console interface
Descriptionrequest by support to identify arbitration precedents case a20100210.2
https://wiki.cacert.org/Arbitrations/a20100210.2
related cases for timeframes an assurance was added
Additional Informationsupport receives an email from assurer requesting assurance revocation.
The email date/time has to be set in relation to when the assurance was entered into the system by the assurer.
if it was a "short timeframe" before ... SE can easily revoke the assurance and 2 other steps. Problem solved. Without the Assurance-when field in the list, SE has no indication, when an assurance has been entered into the system except to check his own account assurance id's. If the assurance Id relates to one of the last entered assurance id's he can pass the request, otherwise SE has to move the ticket into the disputes queue (-> fill the arbitration backlog)
TagsNo tags attached.
Reviewed bydastrath, NEOatNHNG
Test Instructions

Relationships

related to 0000827 closedegal Tverify points to be deprecated 
related to 0000859 needs workNEOatNHNG feature request: show activity on an account in the admin interface. 
related to 0000975 closedUli60 report potential database inconsistency in SE console (debug infos) 
related to 0000794 closedegal visibility over certificates for sysadm in account administration 

Activities

Uli60

2011-08-23 01:20

updater   ~0002321

link find user
https://cacert1.it-sls.de/account.php?id=42
link assurances given list
https://cacert1.it-sls.de/account.php?id=43&userid=###&assuredby=yes

Uli60

2011-08-23 01:45

updater  

43.php (17,050 bytes)

Uli60

2011-08-23 01:48

updater   ~0002322

fix within
/pages/account/43.php
added Assurance-When field, that is the time the assurer entered the assurance into the system. This is needed, to allow SE to decide for the short timeframe removal of assurances by request following arbitration precedent case
as there is a short timespan allowed to revoke an assurance by request (24 hours rule), SE needs the date/time the assurance was entered into the system

also fixed table column count in summary line

Ted

2011-08-23 20:38

administrator   ~0002331

Created git branch bug-882, merged into master branch and installed on testserver

Ted

2011-08-23 20:55

administrator   ~0002332

First review OK.

INOPIAE

2011-08-23 22:57

updater   ~0002341

Login as SE
Find user
Show Assurances the user got
Table show new column in first place. The wording should be change to "Assurance entered"

Show Assurances the user gave
Table show new column in first place. The wording should be change to "Entered"

It would be goog to have another new column showing the ID number of the enttry as well as sometimes users ask "please revoke assurances with ID xxx"

Uli60

2011-08-26 10:29

updater  

43_882_110826.php (17,108 bytes)

Uli60

2011-08-26 10:30

updater   ~0002354

includes text fixes proposed in https://bugs.cacert.org/view.php?id=882#c2341
bug 0000882 fixes seperated from other 3 related fixes
code based on cacert
commit ce4bfbaf0c2babb5bba2568d3b8712e1615aa651

Uli60

2011-08-26 10:54

updater  

43-882-diff-20110826.diff (1,019 bytes)   
320a321
> <? // Bug-882 fixes --- begin ?>
327c328
<     <td colspan="7" class="title"><?=_("Assurance Points")?></td>
---
>     <td colspan="8" class="title"><?=_("Assurance Points")?></td>
329a331
>     <td class="DataTD"><b><?=_("Entered")?></b></td>
347a350
>     <td class="DataTD"><?=sanitizeHTML($drow['when'])?></td>
358c361
<     <td class="DataTD" colspan="2"><b><?=_("Total Points")?>:</b></td>
---
>     <td class="DataTD" colspan="4"><b><?=_("Total Points")?>:</b></td>
374c377
<     <td colspan="7" class="title"><?=_("Assurance Points The User Issued")?></td>
---
>     <td colspan="8" class="title"><?=_("Assurance Points The User Issued")?></td>
376a380
>     <td class="DataTD"><b><?=_("Entered")?></b></td>
394a399
>     <td class="DataTD"><?=$drow['when']?></td>
405c410
<     <td class="DataTD" colspan="2"><b><?=_("Total Points")?>:</b></td>
---
>     <td class="DataTD" colspan="4"><b><?=_("Total Points")?>:</b></td>
417c422
< 
---
> <? // Bug-882 fixes --- end ?>
43-882-diff-20110826.diff (1,019 bytes)   

Uli60

2011-09-13 23:01

updater   ~0002425

Last edited: 2011-09-13 23:04

View 2 revisions

new patch by dirk
added notary.id
added bug#827 related 15.php view into admin console

uploaded to cacert-devel by dirk, 1st quick review by michael

first test: inopiae, magu, uli

quick fix: assurances user got email link contains id of user under current view
 instead of user named by the link, fixed by dirk, uploaded

first test: inopiae, magu, uli

ok

Uli60

2011-09-13 23:08

updater   ~0002426

added fix
a) + notary.id
b) + assurance when
c) + assurances received new calculation (similiar to 15.php)
d) + assurances given new calculation (similiar to 15.php)
e) + assurances user got (https://cacert1.it-sls.de/account.php?id=43&userid=...)
   column email link corrected

Uli60

2011-09-23 08:01

updater   ~0002495

login as Admin - find user
displays user form with 4 links:
1. assurances received - old view
2. assurances received - new calculation
3. assurances given - old view
4. assurances given - new calculation
=> ok

1. added ID -> ok
   who field links to contact user
   email field links to the others users form
   when field missing
   => ok
2. added ID, when fields
   who field links to contact user
   email field links to the others users form
   thawte method record -> revoked, revoke link removed
   => ok
3. added ID -> ok
   who field links to contact user
   email field links to the others users form
   when field missing
   => ok
4. added ID, when fields
   who field links to contact user
   email field links to the others users form
   => ok

INOPIAE

2011-09-24 05:55

updater   ~0002498

Last edited: 2011-09-27 08:43

View 2 revisions

I checked both new calculation
The links work perfect and the new columns ID and When are visible.

Uli60

2011-09-27 19:14

updater   ~0002540

tested by 2, test finished
needs 2nd review + deploy

Uli60

2011-09-28 00:54

updater  

bug882-110927b.diff (4,098 bytes)   
diff --git a/includes/notary.inc.php b/includes/notary.inc.php
index 3651ea5..5429b49 100644
--- a/includes/notary.inc.php
+++ b/includes/notary.inc.php
@@ -273,35 +273,50 @@
 <?
 	}
 
-	function output_assurances_row($assuranceid,$date,$when,$email,$name,$points,$location,$method,$experience,$userid,$support,$revoked)
+	function output_assurances_row($assuranceid,$date,$when,$email,$name,$awarded,$points,$location,$method,$experience,$userid,$support,$revoked)
 	{
+
+	$tdstyle="";
+	$emopen="";
+	$emclose="";
+
+	if ($awarded == $points)
+	{
+		if ($awarded == "0")
+		{
+       $tdstyle="style='background-color: #ffff80'";
+	     $emopen="<em>";
+	     $emclose="</em>";
+		}
+	}
+	
 ?>
     <tr>
-	<td class="DataTD"><?=$assuranceid?></td>
-    	<td class="DataTD"><?=$date?></td>
+	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$assuranceid?><?=$emclose?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$date?><?=$emclose?></td>
 <?
 	if ($support == "1")
 	{
 ?>
-    	<td class="DataTD"><?=$when?></td>
-    	<td class="DataTD"><?=$email?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$when?><?=$emclose?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$email?><?=$emclose?></td>
 <?	} 
 ?>
-    	<td class="DataTD"><?=$name?></td>
-    	<td class="DataTD"><?=$points?></td>
-    	<td class="DataTD"><?=$location?></td>
-    	<td class="DataTD"><?=$method?></td>
-    	<td class="DataTD"><?=$experience?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$name?><?=$emclose?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$awarded?><?=$emclose?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$location?><?=$emclose?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$method?><?=$emclose?></td>
+    	<td class="DataTD" <?=$tdstyle?>><?=$emopen?><?=$experience?><?=$emclose?></td>
 <?
 	if ($support == "1")
 	{
 		if ($revoked == true)
 		{
 ?>
-			<td class="DataTD">&nbsp;</td>
+			<td class="DataTD" <?=$tdstyle?>>&nbsp;</td>
 <?		} else {
 ?>
-			<td class="DataTD"><a href="account.php?id=43&amp;userid=<?=intval($userid)?>&amp;assurance=<?=intval($assuranceid)?>&amp;csrf=<?=make_csrf('admdelassurance')?>" onclick="return confirm('<?=_("Are you sure you want to revoke this assurance?")?>');"><?=_("Revoke")?></a></td>
+			<td class="DataTD" <?=$tdstyle?>><?=$emopen?><a href="account.php?id=43&amp;userid=<?=intval($userid)?>&amp;assurance=<?=intval($assuranceid)?>&amp;csrf=<?=make_csrf('admdelassurance')?>" onclick="return confirm('<?=_("Are you sure you want to revoke this assurance?")?>');"><?=_("Revoke")?></a><?=$emclose?></td>
 <?
 		}
 	}
@@ -360,7 +375,7 @@
 			calc_experience ($row,$points,$experience,$sum_experience,$revoked);
 			$name = show_user_link ($fromuser['fname']." ".$fromuser['lname'],intval($row['to']));
 			$email = show_email_link ($fromuser['email'],intval($row['to']));
-			output_assurances_row (intval($row['id']),$row['date'],$row['when'],$email,$name,intval($row['awarded']),$row['location'],$row['method']==""?"":_(sprintf("%s", $row['method'])),$experience,$userid,$support,$revoked);
+			output_assurances_row (intval($row['id']),$row['date'],$row['when'],$email,$name,intval($row['awarded']),intval($row['points']),$row['location'],$row['method']==""?"":_(sprintf("%s", $row['method'])),$experience,$userid,$support,$revoked);
 		}
 	}
 
@@ -377,7 +392,7 @@
 			calc_assurances ($row,$points,$experience,$sum_experience,$awarded,$revoked);
 			$name = show_user_link ($fromuser['fname']." ".$fromuser['lname'],intval($row['from']));
 			$email = show_email_link ($fromuser['email'],intval($row['from']));
-			output_assurances_row (intval($row['id']),$row['date'],$row['when'],$email,$name,$awarded,$row['location'],$row['method']==""?"":_(sprintf("%s", $row['method'])),$experience,$userid,$support,$revoked);
+			output_assurances_row (intval($row['id']),$row['date'],$row['when'],$email,$name,$awarded,intval($row['points']),$row['location'],$row['method']==""?"":_(sprintf("%s", $row['method'])),$experience,$userid,$support,$revoked);
 		}
 	}
 
bug882-110927b.diff (4,098 bytes)   

NEOatNHNG

2011-09-28 03:25

administrator   ~0002545

Also highlight points == awarded == 0 in the support interface. Patch supplied by Uli added to the test server.

Uli60

2011-09-30 10:12

updater   ~0002550

login to admin account
system admin - find user: bug975.test1@wiamail.de
Show Assurances the user got -> New calculation
 1 record: 0 pts, record marked italic, yellow background => ok
Show Assurances the user gave -> New calculation
 0 records: => ok

system admin - find user: test.magu@wiamail.de
Show Assurances the user got -> New calculation
 1 record: 0 pts, record marked italic, yellow background => ok
Show Assurances the user gave -> New calculation
 0 records: => ok

system admin - find user: m.maengel@inopiae.c
Show Assurances the user got -> New calculation
 2 records: 0 pts, record marked italic, yellow background => ok
Show Assurances the user gave -> New calculation
 1 record: 0 pts, record marked italic, yellow background
 there are other records listed with 0, but they are assurance
 method "Administrative increase" => ok

system admin - find user: wolfgang@wiamail.de
Show Assurances the user got -> New calculation
 0 records: => ok
Show Assurances the user gave -> New calculation
 3 records: 0 pts, record marked italic, yellow background
 there are other records 1 pts, -5 pts (from an earlier test),
 that are listed unmarked => ok

this test is according to the users test report for bug827
https://bugs.cacert.org/view.php?id=827#c2549
with 2 users: bug975.test1@wiamail.de and wolfgang@wiamail.de

INOPIAE

2011-10-01 06:47

updater   ~0002556

login to admin account
system admin - find user: bug975.test1@wiamail.de
Show Assurances the user got -> New calculation
 1 record: 0 pts, record marked italic, yellow background => ok
Show Assurances the user gave -> New calculation
 0 records: => ok

system admin - find user: test.magu@wiamail.de
Show Assurances the user got -> New calculation
 1 record: 0 pts, record marked italic, yellow background => ok
Show Assurances the user gave -> New calculation
 0 records: => ok

system admin - find user: m.maengel@inopiae.c
Show Assurances the user got -> New calculation
 2 records: 0 pts, record marked italic, yellow background => ok
Show Assurances the user gave -> New calculation
 1 record: 0 pts, record marked italic, yellow background
 there are other records listed with 0, but they are assurance
 method "Administrative increase" => ok

system admin - find user: wolfgang@wiamail.de
Show Assurances the user got -> New calculation
 0 records: => ok
Show Assurances the user gave -> New calculation
 3 records: 0 pts, record marked italic, yellow background
 there are other records 1 pts, -5 pts (from an earlier test),
 that are listed unmarked => ok

Uli60

2011-10-04 11:44

updater   ~0002568

last patches again tested by 2 testers
patch to review and to deploy to critical team
together with patch bug 0000827

Ted

2011-10-05 19:36

administrator   ~0002574

Did review, merged into release-branch and sent patch request to critical admins.

wytze

2011-10-05 20:08

developer   ~0002575

The fix has been installed on the production system on October 5, 2011. See also:
  https://lists.cacert.org/wws/arc/cacert-systemlog/2011-10/msg00003.html

wytze

2011-10-05 20:13

developer   ~0002576

Previous note set incorrect status, this is the correction ...

NEOatNHNG

2011-10-25 23:10

administrator   ~0002648

Dirk has done some corrections, I have reviewed them, needs some testing.

Uli60

2011-10-25 23:17

updater   ~0002649

sysadmin find user cats2@
assurances received new calc
https://cacert1.it-sls.de/account.php?id=43&userid=171142&shownotary=assuredto15
256397 2006-06-30 2006-06-30 00:00:00 m.maengel@ Marcus M. 35 test Face to Face Meeting
not yellow
=> ok

old calc
https://cacert1.it-sls.de/account.php?id=43&userid=171142&shownotary=assuredto
256397 2006-06-30 Marcus Mängel m.maengel@ 35 test
=> ok

sysadmin find user m.maengel@
assurances given new calc
https://cacert1.it-sls.de/account.php?id=43&userid=171041&shownotary=assuredby15
256397 2006-06-30 2006-06-30 00:00:00 cats2@ cats2 cats2 35 test Face to Face Meeting 2
not yellow
=> ok

old calc
https://cacert1.it-sls.de/account.php?id=43&userid=171041&shownotary=assuredby
256397 2006-06-30 cats2 cats2 cats2@ 35 test
=> ok

Uli60

2011-10-26 00:40

updater   ~0002654

bug 0000827 and bug#882 test series:

sql injection by Michael:

256914 2011-09-27 11:11:32 Marcus M 35
awarded=0, points=35
assurance-when 26.10.2004
when= 26.10.2004


gerhard@w
marcus m



256399 05.07.2011 Uli User942 35
awarded=0, points=35
assurance-when 2005-10-26
when 2005-10-26

gerhard@w
Uli User942

----------------------------------------------------------------



login as user: 827 tests
logged-in: gerhard@
============================


rcvd,old
https://cacert1.it-sls.de/wot.php?id=10
assurances rcvd
256914 2004-10-26 Marcus M 35
=> ok

given,old
assurances given
256399 2005-10-26 Uli User942 35
=> ok


https://cacert1.it-sls.de/wot.php?id=15
given,new
assurances given
256399 2005-10-26 Uli User942 35
=> ok

rcvd,new
assurances received
256914 2004-10-26 Marcus Mängel 35 dort
=> ok




login as SE: 882 tests
============================

find user gerhard@w
assurances user got (old)
https://cacert1.it-sls.de/account.php?id=43&userid=171044&shownotary=assuredto
256914 2004-10-26 Marcus Mängel m.maengel@ 35
=> ok

new calc
https://cacert1.it-sls.de/account.php?id=43&userid=171044&shownotary=assuredto15
256914 2004-10-26 2004-10-26 00:00:00 m.maengel@ Marcus M 35 dort
=> ok

assurances user gave (old)
https://cacert1.it-sls.de/account.php?id=43&userid=171044&shownotary=assuredby
256399 2005-10-26 Uli User942 user942@w 35
=> ok

new calc
https://cacert1.it-sls.de/account.php?id=43&userid=171044&shownotary=assuredby15
256399 2005-10-26 2005-10-26 00:00:00 user942@w Uli User942 35
=> ok



find user user942@w
got, old
256399 2005-10-26 Gerhard von Reith gerhard@w 35
=> ok

got new
256399 2005-10-26 2005-10-26 00:00:00 gerhard@w Gerhard von Reith 35
=> ok

user gave (old)
0 entries
=> ok

user gave (new)
0 entries
=> ok



find user m.maengel@
got, old
256459 2006-03-01 koblenz test koblenz@i 0 kkk
(0:0 case)
=> ok

got, new
256459 2006-03-01 2006-03-01 00:00:00 koblenz@i koblenz test 0 kkk
marked yellow
=> ok

got, new
256919 27.09.2011 2011-09-28 00:34:50 wolfgang@w Wolfgang S 0 virt. test
0 pts assurance
marked yellow ???
=> ??? => limit marker for assurances < 1.9.2006 is not yet added to 43.php, but can be ignored


gave, old
256397 2006-06-30 cats2 cats2 cats2@i 35 test
=> ok

256914 2004-10-26 GvR gerhard@w 35 dort
=> ok


gave, new
256397 2006-06-30 2006-06-30 00:00:00 cats2@i cats2 cats2 35 test
=> ok

256914 2004-10-26 2004-10-26 00:00:00 gerhard@w GvR 35 dort
=> ok


256917 2011-09-28 00:00:42 2011-09-28 00:00:42 test.magu@w test magu 0 zuhause
marked yellow
=> ??? => limit marker for assurances < 1.9.2006 is not yet added to 43.php, but can be ignored




login as user: 827 tests
logged-in: user942@w
============================


rcvd,old
https://cacert1.it-sls.de/wot.php?id=10
assurances rcvd
256399 2005-10-26 GvR 35 virtual meeting
=> ok

given,old
assurances given
0 entries
=> ok


https://cacert1.it-sls.de/wot.php?id=15
given,new
assurances given
0 entries
=> ok

rcvd,new
assurances received
256399 2005-10-26 GvR 35 virtual meeting
Assurance-Punkte die du erhalten hast 140 100 Limit erreicht
Du kannst bis zu maximal 10 Punkte vergeben
=> ok




login as user: 827 tests
logged-in: m.m
============================

rcvd,old
my points
256459 2006-03-01 koblenz test 0 kkk
=> ok

given,old
256397 2006-06-30 cats2 cats2 35 test
=> ok

256914 2004-10-26 GvR 35 dort
=> ok


given, new
256397 2006-06-30 cats2 cats2 35 test
=> ok

256914 2004-10-26 GvR 35 dort
=> ok


rcvd, new
256459 2006-03-01 koblenz test 0 kkk
=> ok

Uli60

2011-10-26 00:53

updater   ~0002655

good to go
reviewed 2 times
with modified (injected) notary entries from inopiae's test accounts
with modified (injected) notary entries from uli's test accounts

NEOatNHNG

2011-10-26 12:38

administrator   ~0002660

Patch sent to critical admins.

wytze

2011-10-27 12:53

developer   ~0002665

The follow-up fix has been installed on the production server on October 27, 2011. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2011-10/msg00014.html

NEOatNHNG

2011-11-15 21:58

administrator   ~0002688

Ported the date restriction for the "yellow lines" to the support function. Dirk has also reviewed that part.

NEOatNHNG

2011-11-15 21:59

administrator   ~0002689

Last edited: 2011-11-15 22:11

View 2 revisions

Was tested in 0000827:0002667

NEOatNHNG

2011-11-15 22:12

administrator   ~0002690

Mail sent to critical admins

wytze

2011-11-16 15:11

developer   ~0002695

The patch has been installed on the production server on November 16, 2011.
See also https://lists.cacert.org/wws/arc/cacert-systemlog/2011-11/msg00006.html

NEOatNHNG

2011-11-29 22:23

administrator   ~0002729

wot.inc.php and notary.inc.php are to be merged further details will be handled in 0000827

Issue History

Date Modified Username Field Change
2010-10-16 15:17 Uli60 New Issue
2010-10-16 15:18 Uli60 Summary display Assurance when field in list of assurances received, assurances given by a user => display Assurance when field in list of assurances received, assurances given by a user in admin console interface
2011-08-23 01:20 Uli60 Note Added: 0002321
2011-08-23 01:45 Uli60 File Added: 43.php
2011-08-23 01:45 Uli60 Assigned To => Uli60
2011-08-23 01:48 Uli60 Note Added: 0002322
2011-08-23 01:48 Uli60 Status new => fix available
2011-08-23 12:10 Uli60 Relationship added related to 0000859
2011-08-23 12:58 Uli60 Relationship added related to 0000975
2011-08-23 19:55 Ted Assigned To Uli60 => Ted
2011-08-23 20:38 Ted Note Added: 0002331
2011-08-23 20:38 Ted Status fix available => needs review & testing
2011-08-23 20:40 Ted Source_changeset_attached => cacert-devel master 84f336c0
2011-08-23 20:55 Ted Reviewed by => Ted
2011-08-23 20:55 Ted Note Added: 0002332
2011-08-23 22:57 INOPIAE Note Added: 0002341
2011-08-26 10:20 Uli60 Relationship added related to 0000794
2011-08-26 10:25 Uli60 File Added: 43_882_110826.php
2011-08-26 10:29 Uli60 File Deleted: 43_882_110826.php
2011-08-26 10:29 Uli60 File Added: 43_882_110826.php
2011-08-26 10:30 Uli60 Note Added: 0002354
2011-08-26 10:30 Uli60 Status needs review & testing => fix available
2011-08-26 10:54 Uli60 File Added: 43-882-diff-20110826.diff
2011-09-13 20:40 NEOatNHNG Source_changeset_attached => cacert-devel master 3c134671
2011-09-13 20:40 Source_changeset_attached => cacert-devel master 951e34fa
2011-09-13 20:50 NEOatNHNG Source_changeset_attached => cacert-devel master 3d4d11e4
2011-09-13 21:10 NEOatNHNG Source_changeset_attached => cacert-devel master f4154ea0
2011-09-13 21:10 Source_changeset_attached => cacert-devel master 962a0a59
2011-09-13 21:25 NEOatNHNG Source_changeset_attached => cacert-devel master a1fad24c
2011-09-13 21:25 Source_changeset_attached => cacert-devel master 0c678e9b
2011-09-13 23:01 Uli60 Note Added: 0002425
2011-09-13 23:04 Uli60 Note Edited: 0002425 View Revisions
2011-09-13 23:04 Uli60 Relationship added related to 0000827
2011-09-13 23:08 Uli60 Note Added: 0002426
2011-09-13 23:08 Uli60 Assigned To Ted => egal
2011-09-13 23:08 Uli60 Status fix available => needs review & testing
2011-09-14 01:55 NEOatNHNG Source_changeset_attached => cacert-devel master 71d2575a
2011-09-14 01:55 Source_changeset_attached => cacert-devel master 6b4d8af8
2011-09-20 22:00 NEOatNHNG Source_changeset_attached => cacert-devel master a6e95d38
2011-09-20 22:00 Source_changeset_attached => cacert-devel master de3570db
2011-09-20 22:35 NEOatNHNG Source_changeset_attached => cacert-devel master 4aacf8cc
2011-09-20 22:35 Source_changeset_attached => cacert-devel master 44959a0d
2011-09-23 08:01 Uli60 Note Added: 0002495
2011-09-24 05:55 INOPIAE Note Added: 0002498
2011-09-27 08:43 INOPIAE Note Edited: 0002498 View Revisions
2011-09-27 19:14 Uli60 Note Added: 0002540
2011-09-27 19:14 Uli60 Assigned To egal => Uli60
2011-09-27 19:14 Uli60 Status needs review & testing => ready to deploy
2011-09-27 23:12 NEOatNHNG Source_changeset_attached => cacert-devel testserver 635338ed
2011-09-28 00:54 Uli60 File Added: bug882-110927b.diff
2011-09-28 03:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver f1260e27
2011-09-28 03:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver def21371
2011-09-28 03:25 NEOatNHNG Note Added: 0002545
2011-09-28 03:25 NEOatNHNG Status ready to deploy => needs review & testing
2011-09-28 03:26 NEOatNHNG Reviewed by Ted =>
2011-09-30 10:12 Uli60 Note Added: 0002550
2011-10-01 06:47 INOPIAE Note Added: 0002556
2011-10-04 11:44 Uli60 Note Added: 0002568
2011-10-04 11:44 Uli60 Status needs review & testing => ready to deploy
2011-10-04 21:41 Ted Assigned To Uli60 => Ted
2011-10-05 19:23 Ted Reviewed by => Ted
2011-10-05 19:36 Ted Note Added: 0002574
2011-10-05 19:36 Ted Status ready to deploy => solved?
2011-10-05 19:36 Ted Resolution open => fixed
2011-10-05 19:40 Ted Source_changeset_attached => cacert-devel release ce072d71
2011-10-05 20:08 wytze Note Added: 0002575
2011-10-05 20:08 wytze Status solved? => closed
2011-10-05 20:13 wytze Note Added: 0002576
2011-10-05 20:13 wytze Status closed => solved?
2011-10-25 22:50 NEOatNHNG Source_changeset_attached => cacert-devel testserver ebf6b450
2011-10-25 22:50 Source_changeset_attached => cacert-devel testserver cdfc30d5
2011-10-25 22:50 Source_changeset_attached => cacert-devel testserver 32a12f0e
2011-10-25 23:00 NEOatNHNG Source_changeset_attached => cacert-devel testserver d60d71e6
2011-10-25 23:00 Source_changeset_attached => cacert-devel testserver eab65d7d
2011-10-25 23:10 NEOatNHNG Note Added: 0002648
2011-10-25 23:10 NEOatNHNG Assigned To Ted => Uli60
2011-10-25 23:10 NEOatNHNG Status solved? => needs review & testing
2011-10-25 23:10 NEOatNHNG Status needs review & testing => needs testing
2011-10-25 23:11 NEOatNHNG Reviewed by Ted => dastrath, NEOatNHNG
2011-10-25 23:17 Uli60 Note Added: 0002649
2011-10-26 00:40 Uli60 Note Added: 0002654
2011-10-26 00:53 Uli60 Note Added: 0002655
2011-10-26 00:53 Uli60 Status needs testing => ready to deploy
2011-10-26 12:38 NEOatNHNG Note Added: 0002660
2011-10-26 13:00 NEOatNHNG Source_changeset_attached => cacert-devel release 10aaf448
2011-10-27 12:53 wytze Note Added: 0002665
2011-10-27 12:53 wytze Status ready to deploy => solved?
2011-11-02 00:35 NEOatNHNG Source_changeset_attached => cacert-devel testserver 14894ba8
2011-11-02 00:35 NEOatNHNG Source_changeset_attached => cacert-devel testserver 27eb6fe8
2011-11-15 21:58 NEOatNHNG Note Added: 0002688
2011-11-15 21:58 NEOatNHNG Status solved? => needs review & testing
2011-11-15 21:59 NEOatNHNG Note Added: 0002689
2011-11-15 21:59 NEOatNHNG Status needs review & testing => ready to deploy
2011-11-15 22:10 NEOatNHNG Source_changeset_attached => cacert-devel release 9feddd1e
2011-11-15 22:11 NEOatNHNG Note Edited: 0002689 View Revisions
2011-11-15 22:12 NEOatNHNG Note Added: 0002690
2011-11-16 15:11 wytze Note Added: 0002695
2011-11-16 15:11 wytze Status ready to deploy => solved?
2011-11-29 22:23 NEOatNHNG Note Added: 0002729
2011-11-29 22:23 NEOatNHNG Status solved? => closed
2013-01-15 15:03 Werner Dworak Fixed in Version => 2011 Q4